\hypertarget{structtimlCNNDataSet}{\section{timl\-C\-N\-N\-Data\-Set Struct Reference}
\label{structtimlCNNDataSet}\index{timl\-C\-N\-N\-Data\-Set@{timl\-C\-N\-N\-Data\-Set}}
}
\subsection*{Data Fields}
\begin{DoxyCompactItemize}
\item 
\hypertarget{structtimlCNNDataSet_a1c2cd5e5e5f2be74498a40ddcef92473}{int {\bfseries num}}\label{structtimlCNNDataSet_a1c2cd5e5e5f2be74498a40ddcef92473}

\item 
\hypertarget{structtimlCNNDataSet_ac0498d04bb6ebbdc46a9e3aac0bc101c}{int {\bfseries channel}}\label{structtimlCNNDataSet_ac0498d04bb6ebbdc46a9e3aac0bc101c}

\item 
\hypertarget{structtimlCNNDataSet_aaa674b0d7d30a83dbee53085dbf9cf61}{int {\bfseries row}}\label{structtimlCNNDataSet_aaa674b0d7d30a83dbee53085dbf9cf61}

\item 
\hypertarget{structtimlCNNDataSet_a0f9dfc3b5b321b865cc84680b1bbe12d}{int {\bfseries col}}\label{structtimlCNNDataSet_a0f9dfc3b5b321b865cc84680b1bbe12d}

\item 
float $\ast$ \hyperlink{structtimlCNNDataSet_aedc507e5f143b3e5a925b245ba54cdd3}{data}
\item 
int $\ast$ \hyperlink{structtimlCNNDataSet_a0524c58abba3b98c42f252b3229396bf}{label}
\end{DoxyCompactItemize}


\subsection{Field Documentation}
\hypertarget{structtimlCNNDataSet_aedc507e5f143b3e5a925b245ba54cdd3}{\index{timl\-C\-N\-N\-Data\-Set@{timl\-C\-N\-N\-Data\-Set}!data@{data}}
\index{data@{data}!timlCNNDataSet@{timl\-C\-N\-N\-Data\-Set}}
\subsubsection[{data}]{\setlength{\rightskip}{0pt plus 5cm}float$\ast$ timl\-C\-N\-N\-Data\-Set\-::data}}\label{structtimlCNNDataSet_aedc507e5f143b3e5a925b245ba54cdd3}
size = (row\-Size $\ast$ col\-Size $\ast$ channel) $\ast$ num \hypertarget{structtimlCNNDataSet_a0524c58abba3b98c42f252b3229396bf}{\index{timl\-C\-N\-N\-Data\-Set@{timl\-C\-N\-N\-Data\-Set}!label@{label}}
\index{label@{label}!timlCNNDataSet@{timl\-C\-N\-N\-Data\-Set}}
\subsubsection[{label}]{\setlength{\rightskip}{0pt plus 5cm}int$\ast$ timl\-C\-N\-N\-Data\-Set\-::label}}\label{structtimlCNNDataSet_a0524c58abba3b98c42f252b3229396bf}
size = num 

The documentation for this struct was generated from the following file\-:\begin{DoxyCompactItemize}
\item 
\hyperlink{timlCNN_8h}{timl\-C\-N\-N.\-h}\end{DoxyCompactItemize}
